[DNS Zones] Export DNS zone in BIND format
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bind_content": "<string>"
}Domains
[DNS Zones] Export DNS zone in BIND format
Export all DNS records from a zone in standard BIND zone file format. This export can be used for backup purposes or to import the zone into another DNS provider. The export includes all record types and their current configuration.
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
dns-zones
/
{id}
/
export
[DNS Zones] Export DNS zone in BIND format
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
The unique identifier (UUID) of the DNS zone to export
Response
DNS zone exported successfully in BIND format
⌘I

